Non compatible launcher problem

View previous topic View next topic Go down

Non compatible launcher problem

Post by Victoria7468 on Thu 19 Dec 2013, 13:52

Hello guys! I really could use some help about my sims 3 game.. I've installed all the expansion packes until the sims 3 pets. I've applied the crack, and the sims 3 fix. So, when I open the launcher to play, a message appears that says that my sims 3 launcher isn't compatible with the current expansion pack, and I need to update the game in tha latest version. The thing is, that I don't want the latest patch (1.63) because my mods won't work! ( I've tried to install it, and then I had to uninstall sims 3 and install it again!) 

Any help?  rendeer

Victoria7468
Beginner
Beginner

Windows version :
  • Windows 8

System architecture :
  • 32 bits (x86)

Favourite games : The sims 3
Female Posts : 3
Points : 1421
Reputation : 0
Join date : 2013-12-08
Age : 21
Location : Greece

View user profile

Back to top Go down

Re: Non compatible launcher problem

Post by ☠ ~ Aɳɳ ~ ☠ on Thu 19 Dec 2013, 14:19

Hello,

Most mods have been updated to work with the latest game version, or there are similar alternatives available.
The fix really requires the latest game version, if you don't want that, you can  use the crack from your "Pets" download, but only if you haven't patched beyond "Pets" patch level yet. If you have, you will have to reinstall your base game (but none of your expansions, fortunately).

_________________
"Under sun and sky, we greet you warmly"

avatar
☠ ~ Aɳɳ ~ ☠
Forum Administratrix
First Lady of the Forum
Forum Administratrix First Lady of the Forum

Windows version :
  • Windows 8
  • Windows XP
  • Windows 10

System architecture :
  • 32 bits (x86)
  • 64 bits (x64)

Female Posts : 15112
Points : 20090
Reputation : 1437
Join date : 2011-05-31

View user profile

Back to top Go down

Re: Non compatible launcher problem

Post by Victoria7468 on Thu 19 Dec 2013, 14:50

Lady ElDi wrote:Hello,

Most mods have been updated to work with the latest game version, or there are similar alternatives available.
The fix really requires the latest game version, if you don't want that, you can  use the crack from your "Pets" download, but only if you haven't patched beyond "Pets" patch level yet. If you have, you will have to reinstall your base game (but none of your expansions, fortunately).

Thanks for your response  Very Happy  So I haven't patched beyond "pets" patch level, I used the crack from "pets" download, but again the same message appeared telling  me that I need to update my game, or it won't start  Sad  Yesterday, when I updated to version 1.63 the game started normally, but when I tried to start a new game it stuck in the load screen... so what do I have to do now?

Victoria7468
Beginner
Beginner

Windows version :
  • Windows 8

System architecture :
  • 32 bits (x86)

Favourite games : The sims 3
Female Posts : 3
Points : 1421
Reputation : 0
Join date : 2013-12-08
Age : 21
Location : Greece

View user profile

Back to top Go down

Re: Non compatible launcher problem

Post by ☠ ~ Aɳɳ ~ ☠ on Thu 19 Dec 2013, 15:41

Hello,

Did you disable your mods before starting the game after you patched?
If you didn't, it may be good to try that. The simplest way to disable your mods is temporarily moving the mods folder out of Documents\Electronic Arts\The Sims 3.

_________________
"Under sun and sky, we greet you warmly"

avatar
☠ ~ Aɳɳ ~ ☠
Forum Administratrix
First Lady of the Forum
Forum Administratrix First Lady of the Forum

Windows version :
  • Windows 8
  • Windows XP
  • Windows 10

System architecture :
  • 32 bits (x86)
  • 64 bits (x64)

Female Posts : 15112
Points : 20090
Reputation : 1437
Join date : 2011-05-31

View user profile

Back to top Go down

View previous topic View next topic Back to top


Permissions in this forum:
You cannot reply to topics in this forum